<p align="center">
  <img width="400px" src="docs/assets/verse-galaxy.png" />
</p>

# Verse

[![Build](https://img.shields.io/github/actions/workflow/status/thombruce/verse/release.yml)](https://github.com/thombruce/verse/actions)
[![Release](https://img.shields.io/github/v/release/thombruce/verse)](https://github.com/thombruce/verse/releases/latest)
[![Changelog](https://img.shields.io/github/v/release/thombruce/verse?label=changelog&color=E05735)](CHANGELOG.md)
[![GitHub all releases](https://img.shields.io/github/downloads/thombruce/verse/total?link=https%3A%2F%2Fgithub.com%2Fthombruce%2Fverse%2Freleases%2Flatest)](https://github.com/thombruce/verse/releases/latest)
[![License](https://img.shields.io/badge/license-MIT%2BCC-orangered)](LICENSE)
[![Discord](https://img.shields.io/discord/697123984231366716?logo=discord&color=5865F2)](https://discord.gg/SAUagUgTfa)

## Download

[Get the latest release!](https://github.com/thombruce/verse/releases/latest)

## Controls

| Action        | Keyboard                        | Controller           |
| ------------- | ------------------------------- | -------------------- |
| Thrust        | <kbd>W</kbd>, <kbd>&uarr;</kbd> | <kbd>RT</kbd>        |
| Turn left     | <kbd>A</kbd>, <kbd>&larr;</kbd> | <kbd>LS &larr;</kbd> |
| Turn right    | <kbd>D</kbd>, <kbd>&rarr;</kbd> | <kbd>LS &rarr;</kbd> |
| Pause/unpause | <kbd>Esc</kbd>, <kbd>P</kbd>    | <kbd>Start</kbd>     |

## Development

### Installation

```sh
git clone https://github.com/thombruce/verse.git
cd verse
cargo run
```

## Credits

Built on [Rust](https://www.rust-lang.org/) with [Bevy](https://bevyengine.org/).

### Title Font

[Edge of the Galaxy](https://www.fontspace.com/edge-of-the-galaxy-font-f45748) by [Quinn Davis Type](https://www.fontspace.com/quinn-davis-type)

### Art

- [Space Shooter Redux](https://www.kenney.nl/assets/space-shooter-redux) by [Kenney](https://www.kenney.nl/)

  From [Kenney.nl](https://www.kenney.nl/), [CC0](https://creativecommons.org/publicdomain/zero/1.0/)

- [Ship Mixer](https://kenney.itch.io/ship-mixer) by [Kenney](https://www.kenney.nl/)

  From [Kenney.nl](https://www.kenney.nl/)

- [Pixel Planet Generator](https://deep-fold.itch.io/pixel-planet-generator) by [Deep-Fold](https://deep-fold.itch.io/)

  From [itch.io](https://itch.io/)

- [Xolonium](https://fontlibrary.org/en/font/xolonium) by [Severin Meyer](https://fontlibrary.org/en/member/sev)

  From the [Font Library](https://fontlibrary.org/), [OFL (SIL Open Font License)](https://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL)

### Music

- [Lightspeed](https://freemusicarchive.org/music/beat-mekanik/single/lightspeed/) by [Beat Mekanik](https://freemusicarchive.org/music/beat-mekanik/)

  From the [Free Music Archive](https://freemusicarchive.org/), [CC BY](https://creativecommons.org/licenses/by/4.0/)

- [Space Dust](https://freemusicarchive.org/music/kirk-osamayo/season-two-yellow/space-dust/) by [Kirk Osamayo](https://freemusicarchive.org/music/kirk-osamayo/)

  From the [Free Music Archive](https://freemusicarchive.org/), [CC BY](https://creativecommons.org/licenses/by/4.0/)

  _Fade in/out added to beginning and end of track for looping in game._

### Audio

- [Impact Sounds](https://www.kenney.nl/assets/impact-sounds) by [Kenney](https://www.kenney.nl/)

  From [Kenney.nl](https://www.kenney.nl/), [CC0](https://creativecommons.org/publicdomain/zero/1.0/)

## License

[LICENSE](LICENSE)

_Verse is licensed under the MIT license modified by the Commons Clause License Condition v1.0 ("Commons Clause")._
